image: node:lts-slim

stages:
  - setup
  - lint
  - test
  - build

cache:
  paths:
    - node_modules/

Setup:
  stage: setup
  script:
    - yarn install --frozen-lockfile
  artifacts:
    paths:
      - node_modules/

Lint:
  stage: lint
  script:
    - yarn run lint:all

Test:
  stage: test
  script:
    - yarn run test

Build:
  stage: build
  script:
    - yarn run build:prod
